%define dist .fc6

# install these packages into /opt if we have a prefix defined for the
# java packages
%{?java_pkg_prefix: %define _prefix /opt/frysk }
%{?java_pkg_prefix: %define _sysconfdir %{_prefix}/etc }
%{?java_pkg_prefix: %define _localstatedir %{_prefix}/var }
%{?java_pkg_prefix: %define _infodir %{_prefix}/share/info }
%{?java_pkg_prefix: %define _mandir %{_prefix}/share/man }
%{?java_pkg_prefix: %define _defaultdocdir %{_prefix}/share/doc }

%{!?c_pkg_prefix: %define c_pkg_prefix %{nil}}
%{!?java_pkg_prefix: %define java_pkg_prefix %{nil}}

# The prefix for java-gnome package names
%define name_base glib-java
Summary:   Base Library for the Java-GNOME libraries 
Name:      %{java_pkg_prefix}%{name_base}
Version:   0.2.6
Release:   3%{?dist}.XOS.1
URL:       http://java-gnome.sourceforge.net
Source0:   http://ftp.gnome.org/pub/GNOME/sources/%{name_base}/0.2/%{name_base}-%{version}.tar.bz2
License:   LGPL
Group:     Development/Libraries
BuildRoot: %{_tmppath}/glib-java

Requires: 	/sbin/ldconfig
Requires: 	%{c_pkg_prefix}glib2 >= 2.7.0
BuildRequires:  java-devel >= 1.4.2 %{c_pkg_prefix}glib2-devel >= 2.7.0
BuildRequires:  gcc-java >= 4.1.1, docbook-utils
BuildRequires: 	pkgconfig

%description 
Glib-java is a base framework for the Java-GNOME libraries. Allowing the use of
GNOME through Java.

%package        devel
Summary:        Compressed Java source files for %{name}.
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       glib2-devel

%description    devel
Development part of %{name}.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name_base}-%{version}


%build
# if either the C or Java packages has a prefix declared, then we will
# add /opt/frysk/lib/pkgconfig to the pkgconfig path
if  [  'x%{java_pkg_prefix}' != 'x' ] || [ 'x%{c_pkg_prefix}' != 'x' ]; then
	export PKG_CONFIG_PATH=/opt/frysk/lib/pkgconfig
fi

%configure 

# FIXME: find a better solution for this
sed -i 's/^pic_flag=\"\"/pic_flag=\"\ \-fPIC\"/' libtool
sed -i 's/^compiler_c_o=\"no\"/compiler_c_o=\"yes\"/' libtool

make %{?_smp_mflags}

# pack up the java source
find src/java -name \*.java -newer ChangeLog | xargs touch -r ChangeLog
(cd src/java && find . -name \*.java | sort | xargs zip -X -9 src.zip)
touch -r ChangeLog src/java/src.zip


%install
rm -rf $RPM_BUILD_ROOT

make  DESTDIR=$RPM_BUILD_ROOT  install %{?_smp_mflags}

# rename doc dir to reflect package rename, if the names differ
if [ 'x%{name_base}' != 'x%{name}' ] ; then
	mv $RPM_BUILD_ROOT%{_docdir}/%{name_base}-%{version} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
fi

# Remove unpackaged files:
rm $RPM_BUILD_ROOT/%{_libdir}/*.la

# install the src zip and make a sym link
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name_base} | sed 's/-.*//;s/^lib//')
zipfile=$jarname$jarversion-src-%{version}.zip
install -m 644 src/java/src.zip $RPM_BUILD_ROOT%{_datadir}/java/$zipfile
(cd $RPM_BUILD_ROOT%{_datadir}/java &&
  ln -sf $zipfile $jarname$jarversion-src.zip)


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig 
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc doc/api AUTHORS ChangeLog COPYING INSTALL NEWS README 
%dir %{_includedir}/%{name_base}
%{_includedir}/%{name_base}/*
%{_libdir}/libglibjava-*.so
%{_libdir}/libglibjni-*.so
%{_datadir}/java/*.jar
%dir %{_datadir}/%{name_base}
%{_datadir}/%{name_base}/*

%files devel
%defattr(-,root,root)
%{_libdir}/libglibjava.so
%{_libdir}/libglibjni.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/java/*.zip

%changelog
* Fri Sep 14 2007 X/OS Linux Team <xoslinux@xos.nl> - 0.2.6-3.fc6.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on glib-java-0.2.6-3.fc6.src.rpm
  (md5sum of original source rpm: 9c6a60347508d93d46acf1f385114c68).
- Include "dist" macro with value ".fc6" to match the original release number.

* Wed Aug 30 2006 Stepan Kasal <skasal@redhat.com> - 0.2.6-3
- Fix the source packing: preserve source timestamps and prevent multilib
  conflicts. (#209508)

* Wed Aug 30 2006 Stepan Kasal <skasal@redhat.com> - 0.2.6-2
- Do not pack the *.la files.
- Move the *.so symlinks to -devel.

* Fri Aug 11 2006 Stepan Kasal <skasal@redhat.com> - 0.2.6-1
- New upstream version.
- Do use %%{?dist} after all.
- Use `make %%{?_smp_mflags}'.
- Move pkgconfig description to -devel package.
- The -devel package now requires glib2-devel.

* Sat Jul 22 2006 Thomas Fitzsimmons <fitzsim@redhat.com> - 0.2.5-3
- Bump release number. (dist-fc6-java)

* Wed Jul 12 2006 Stepan Kasal <skasal@redhat.com> - 0.2.5-2
- Do not use %%{?dist}.

* Wed Jul 12 2006 Stepan Kasal <skasal@redhat.com> - 0.2.5-1
- Release 0 is not allowed; use %%{?dist}.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.2.5-0.1
- rebuild

* Sat Jun 17 2006 Stepan Kasal <skasal@redhat.com> - 0.2.5-0
- Use .tar.bz2, not .tar.gz.

* Wed Jun 14 2006 Stepan Kasal <skasal@redhat.com>    - 0.2.5-0
- New version.

* Wed May 24 2006 Ben Konrath <bkonrath@redhat.com> - 0.2.4-4
- Change mod time of all java source files for the src zip.

* Thu May 18 2006 Ben Konrath <bkonrath@redhat.com> - 0.2.4-3
- Ensure Config.java has the same mod time accross rebuilds (needed for 
  multilib). 

* Wed May 10 2006 Ben Konrath <bkonrath@redhat.com> - 0.2.4-2
- Add -X option when zipping up the sources. This is needed for multilib.

* Fri Apr 28 2006 Stepan Kasal <skasal@redhat.com>    - 0.2.4-1
- New version.

* Wed Mar 01 2006 Adam Jocksch <ajocksch@redhat.com> - 0.2.3.0.20060301.rh1-1
- Imported new tarball to address bg #183538.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.2.3-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.2.3-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan 30 2006 Adam Jocksch <ajocksch@redhat.com>
- bumped version to 0.2.3, updated tarball.

* Thu Dec 22 2005 Adam Jocksch <ajocksch@redhat.com>
- bumped version to 0.2.2, updated tarball.

* Wed Dec 21 2005 Jesse Keating <jkeating@redhat.com> 0 9.2.1-3.5
- rebuilt

* Tue Dec 13 2005 Jesse Keating <jkeating@redhat.com>
- retry s390x as others require it on that platform

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Dec 09 2005 Igor Foox <ifoox@rehdat.com> - 0.2.1-3
- Version bump to rebuild for gcc4.1 update.

* Wed Oct 26 2005 Igor Foox <ifoox@rehdat.com> - 0.2.1-2
- Excluded s390x, since it fails for random reasons.

* Wed Oct 26 2005 Igor Foox <ifoox@rehdat.com> - 0.2.1-1
- Imported released 0.2.1 version from upstream.

* Wed Oct 05 2005 Igor Foox <ifoox@rehdat.com> - 0.2.0-5
- Imported released 0.2.0 version from upstream.

* Mon Sep 19 2005 Igor Foox <ifoox@redhat.com> - 0.2-2
- Added to rawhide.
